Bug 1018013 - Publish and document /distribution/command
Publish and document /distribution/command
Product: Beaker
Classification: Community
Component: general (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 19.3
: ---
Assigned To: Dan Callaghan
: FutureFeature, Patch
Depends On:
Blocks: 961239
  Show dependency treegraph
Reported: 2013-10-10 21:19 EDT by Nick Coghlan
Modified: 2018-02-05 19:41 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-03-16 01:52:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-10-10 21:19:34 EDT
/distribution/command is a simple RH internal task used to run arbitrary shell commands in the context of a Beaker recipe.

This is a really useful capability for self-testing of new Beaker installations and versions and should be documented on beaker-project.org and made part of the open source code base.
Comment 2 Dan Callaghan 2014-09-18 18:51:31 EDT
Need to do /distribution/dummy or its equivalent also. See bug 1143996.
Comment 3 Dan Callaghan 2015-01-30 01:22:47 EST
(In reply to Dan Callaghan from comment #2)
> Need to do /distribution/dummy or its equivalent also. See bug 1143996.

Never mind, seems we have /distribution/utils/dummy already.
Comment 5 Amit Saha 2015-02-01 19:27:18 EST
The /distribution/command task is now documented here: https://beaker-project.org/docs-release-19/user-guide/beaker-provided-tasks.html#distribution-command

And is also available from the beaker-core-tasks repo as per comment 4.
Comment 7 Dan Callaghan 2015-03-16 01:52:02 EDT
/distribution/command 1.1-4 has been published on beaker-project.org.

Note You need to log in before you can comment on or make changes to this bug.